Generates a “secret token” to enable communication with our tokenisation APIs.
IMPORTANT: As push provisioning needs to be completed in one minute or less, the recommended setting for the Request Parameter: timeStep is 60.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | Customer reference linked with this card |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card |
| timeStep | Integer | ✓ | Window during which TOTP is valid in seconds. IMPORTANT: The recommended value for this is 60 as push provisioning needs to be completed in one minute or less. | |
| cardSecretLength | Integer | ✓ | Default: 8 – Length of card secret 1-8 | |
| algorithm | String | ✓ | Default: HmacSHA512 – Hashing algorithm used for TOTP generation Possible Values: HmacSHA1, HmacSHA256, HmacSHA512 | |
| transactionID | String | 1-255 characters | ✓ | a unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | 1-255 characters | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<methodCall>
<methodName>GenerateTimeBasedSecret</methodName>
<params>
<param>
<value>
<string>0087654321</string>
</value>
</param>
<param>
<value>
<string>4523652122</string>
</value>
</param>
<param>
<param>
<value>
<string>5432000000001234</string>
</value>
</param>
<value>
<string>711432100000123</string>
</value>
</param>
<param>
<value>
<numeric>60</numeric>
</value>
</param>
<param>
<value>
<numeric>8</numeric>
</value>
</param>
<param>
<value>
<string>HmacSHA512</string>
</value>
</param>
<param>
<value>
<string>123654789654</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20230215T12:43:46</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>6A401CCE9F40C338FE0AF63DD247A2BC13246CFCF1A04F6828C70F9262A3D24D</string>
</value>
</param>
</params>
</methodCall>
``````xml
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>secret</name>
<value>
<string>123#45236521</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Status text indicating result |
| secret | String | generated TOTP |
